#
# spec file for package xwxapt
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/

Name:          xwxapt
Summary:       Decoder for APT images from weather satellites
Version:       3.4.2
Release:       14.2
License:       GPL-3.0
Group:         Productivity/Hamradio/Other
Url:           http://www.qsl.net/5b4az/pages/apt.htm
Source0:       http://www.qsl.net/5b4az/pkg/apt/xwxapt/%{name}-%{version}.tar.bz2
Source1:       %{name}.desktop
Source2:       %{name}.png
Patch0:        %{name}-fix-install.patch
Patch1:        %{name}-glade-user-path.patch
BuildRequires: gcc-c++
BuildRequires: intltool >= 0.50.0
BuildRequires: pkg-config
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.22
BuildRequires: pkgconfig(librtlsdr)

%description
xwxapt is the interactive X/GTK+ GUI version of the command-line APT weather
satellite decoding tool, wxapt. Currently xwxapt can decode images in the
American NOAA and Russian Meteor satellite APT formats. Images are decoded and
displayed either in real time direct from the receiver o/p through the computer's
sound card, or from a file of sound samples recorded by xwxapt.


%prep
%autosetup -p1

%build
%configure --prefix=/usr
%make_build


%install
%make_install
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp %{_sourcedir}/%{name}.desktop %{buildroot}/%{_datadir}/applications/
cp %{_sourcedir}/%{name}.png %{buildroot}/%{_datadir}/pixmaps

%check


%files
%doc AUTHORS README doc/xwxapt.html
%if 0%{?suse_version} >= 1330
%license COPYING
%else
%doc COPYING
%endif
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/*
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed Oct  2 2024 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Fixed build for Tumbleweed and Factory
* Sun Feb 23 2020 Markus Kolb <novell@tower-net.de>
- added xwxawt.png pixmap and xwxawt.desktop menu entry
* Wed Feb 19 2020 Markus Kolb <novell@tower-net.de>
- patch xwxapt-glade-user-path.patch added:
  * handles config file and data dirs more unix like
- provide default config /etc/xwxaptrc
- fix missing xwxapt.glade
* Fri Feb 22 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 3.4.2
- patch xwxapt-fix-install.patch added
* Wed Dec 31 2014 wk@ire.pw.edu.pl
- version 2.4
* Wed Oct  9 2013 wk@ire.pw.edu.pl
- version 2.3
- obsolete stuff removed
* Thu Feb 14 2013 wk@ire.pw.edu.pl
- version 2.2 for openSUSE 12.2 and later
- version 2.1 for openSUSE 12.1
- specfile rewrited
* Sat Oct  4 2008 dl9pf@gmx.de
- fix for factory
* Sat Jun  7 2008 dl9pf@gmx.de
- Imported into Build Service
